Skip navigation

are the old versions of iLife and iWork compatible with 10.9?

347 Views 5 Replies Latest reply: Oct 24, 2013 2:07 PM by dalstott RSS
citroenDS Level 1 Level 1 (10 points)
Currently Being Moderated
Oct 23, 2013 6:05 AM

I’m currently running Snow Leopard on my 2009 MBP, and still use the following iLife + iWork apps, in preference to the later versions:

 

iPhoto 8.1.2

iMovie 9.0.4

iTunes 10.5

iWork ‘08

 

Are they all compatible with Mavericks?

Mac OS X (10.6.8)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.